Door = {
	Char = "+",

	HP = 10,
}

function Door:BumpInto()
	if not self.Initialized then
		self.Blocked = ( math.random( 10 ) == 1 )

		self.Initialized = true
	end

	if self.Blocked then
		if self.HP == 10 then
			PrintLog( "The door is blocked. Seems like you have to open it by force." )
		elseif self.HP == 7 then
			PrintLog( "You throw yourself against the door. Nothing happens." )
		elseif self.HP == 4 then
			PrintLog( "You try again. Wooden shivers and dust fill the air." )
		elseif self.HP == 1 then
			PrintLog( "The door bursts open." )
		end

		self.HP = self.HP - 3
	else
		if math.random( 4 ) == 1 then
			PrintLog( "You kick the door open." )
		else
			PrintLog( "You open the door." )
		end

		self.HP = -1
	end
end
